<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.jeecg.ctop.finance.settlement.mapper.CwjsProfitMapper">


    <insert id="replaceCwjsSlettementProfit">
            replace into ctop_cwjs_slettement_report(
            advertiser_name,
            company_name,
            product_name,
            policy_date,
            create_user_id,
            media_type,
            policy_id,
        promotion_type
            )
            values
            <foreach collection="list" item="l" separator=",">
                (#{l.advertiserName},
                #{l.companyName},
                #{l.productName},
                #{l.policyDate},
                #{l.createUserId},
                #{l.mediaType},
                #{l.policyId},
                #{l.promotionType}
                )
            </foreach>
    </insert>


</mapper>
